ELF_GETIDENT(3) | Library Functions Manual | ELF_GETIDENT(3)

# NAME

`elf_getident` — return the initial bytes of a file

# LIBRARY

ELF Access Library (libelf, -lelf)

# SYNOPSIS

`#include <libelf.h>`

char *
`elf_getident`(Elf *elf, size_t *sz);

# DESCRIPTION

Function `elf_getident`() returns a pointer to the initial bytes of the file for descriptor elf.

If argument sz is non-null, the size of the identification area returned is written to the location pointed to by sz. This location is set to zero on errors.

# RETURN VALUES

Function `elf_getident`() will return a non-`NULL` pointer to the initial bytes of the file if successful, or `NULL` if an error condition is detected.

# ERRORS

Function `elf_getident`() can fail with the following errors:

[`ELF_E_ARGUMENT`]
  A `NULL` value was passed in for argument elf.
[`ELF_E_SEQUENCE`]
  ELF descriptor elf was opened for writing and function `elf_getident`() was called before a call to elf_update(3).

# SEE ALSO

elf(3), elf32_getehdr(3), elf64_getehdr(3), elf_getarhdr(3), elf_getbase(3), elf_getflags(3), elf_kind(3), elf_rawfile(3), elf_update(3), gelf(3), gelf_getclass(3), gelf_getehdr(3)

July 3, 2006 | NetBSD 11.0